<form [formGroup]="bilancioForm" novalidate>
    <div class="detail-row-cell">
        <mat-form-field>
            <input type="text" matInput [matDatepicker]="insertPicker"
                   formControlName="data_inserimento" placeholder="Data inserimento" required
                   (change)="saveBilancioChanges()" (dateChange)="saveBilancioChanges()">
            <mat-datepicker-toggle matSuffix [for]="insertPicker"></mat-datepicker-toggle>
            <mat-datepicker #insertPicker [touchUi]="mediaService.match('(max-width: 768px)')"></mat-datepicker>
            <mat-error *ngIf="bilancioForm.controls['data_inserimento'].invalid">Richiesto</mat-error>
        </mat-form-field>
        <mat-form-field>
            <input matInput type="text" placeholder="Effettuato da" formControlName="effettuato_da" (change)="saveBilancioChanges()">
            <mat-error *ngIf="bilancioForm.controls['effettuato_da'].invalid">Richiesto</mat-error>
        </mat-form-field>
        <mat-form-field>
            <input matInput type="text" placeholder="Entrata" formControlName="entrata" (change)="saveBilancioChanges()">
            <mat-error *ngIf="bilancioForm.controls['entrata'].invalid">Richiesto</mat-error>
        </mat-form-field>
        <mat-form-field>
            <input matInput type="text" placeholder="Uscita" formControlName="uscita" (change)="saveBilancioChanges()">
            <mat-error *ngIf="bilancioForm.controls['uscita'].invalid">Richiesto</mat-error>
        </mat-form-field>
    </div>
    <div class="detail-row-cell">
        <mat-form-field>
            <textarea matInput placeholder="Causale" formControlName="causale" (change)="saveBilancioChanges()"></textarea>
            <mat-error *ngIf="bilancioForm.controls['causale'].invalid">Richiesto</mat-error>
        </mat-form-field>
        <mat-checkbox value="1" formControlName="controllo" color="primary" (change)="saveBilancioChanges()">Controllo</mat-checkbox>
        <button mat-button color="warn" (click)="openConfirmDialog()">
            <mat-icon>delete</mat-icon>
            Elimina
        </button>
    </div>
</form>
